<?php

namespace Drupal\travis_build\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configure maintenance settings for this site.
 *
 * @internal
 */
class SettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'travis_build_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['travis_build.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('travis_build.settings');

    $form['auth_token'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Auth Token'),
      '#description' => $this->t('Enter the authorization token. It should not include the word "token".'),
      '#default_value' => $config->get('auth_token'),
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->config('travis_build.settings')
      ->set('repo_url', $form_state->getValue('repo_url'))
      ->save();

    parent::submitForm($form, $form_state);
  }

}
